# Uses of Interface
org.opensaml.saml.saml2.core.Issuer

Packages that use Issuer
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.ecp
Interfaces for SAML 2 ECP Elements.
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.
org.opensaml.saml.saml2.testing

## Uses of Issuer in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type Issuer
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml2Issuer(Issuer issuer)`
Resolve the SAML entity ID from a SAML 2 Issuer.

## Uses of Issuer in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl that return Issuer
Modifier and Type
Method
Description
`private Issuer`
HTTPArtifactDecoder.`buildIssuer(String selfEntityID)`
Build the SAML protocol message Issuer element.

## Uses of Issuer in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Issuer
Modifier and Type
Method
Description
`Issuer`
Assertion.`getIssuer()`
Gets the Issuer of this assertion.
`Issuer`
RequestAbstractType.`getIssuer()`
Gets the issuer of this request.
`Issuer`
StatusResponseType.`getIssuer()`
Gets the issuer of this response.
Methods in org.opensaml.saml.saml2.core with parameters of type Issuer
Modifier and Type
Method
Description
`void`
Assertion.`setIssuer(Issuer newIssuer)`
Sets the Issuer of this assertion.
`void`
RequestAbstractType.`setIssuer(Issuer newIssuer)`
Sets the issuer of this request.
`void`
StatusResponseType.`setIssuer(Issuer newIssuer)`
Sets the issuer of this response.

## Uses of Issuer in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Issuer
Modifier and Type
Class
Description
`class`
`IssuerImpl`
A concrete implementation of `Issuer`.
Fields in org.opensaml.saml.saml2.core.impl declared as Issuer
Modifier and Type
Field
Description
`private Issuer`
AssertionImpl.`issuer`
Issuer of the assertion.
`private Issuer`
RequestAbstractTypeImpl.`issuer`
URI of the SAML user consent type.
`private Issuer`
StatusResponseTypeImpl.`issuer`
Issuer child element.
Methods in org.opensaml.saml.saml2.core.impl that return Issuer
Modifier and Type
Method
Description
`Issuer`
IssuerBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Issuer`
IssuerBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Issuer`
AssertionImpl.`getIssuer()`
Gets the Issuer of this assertion.
`Issuer`
RequestAbstractTypeImpl.`getIssuer()`
Gets the issuer of this request.
`Issuer`
StatusResponseTypeImpl.`getIssuer()`
Gets the issuer of this response.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Issuer
Modifier and Type
Method
Description
`void`
AssertionImpl.`setIssuer(Issuer newIssuer)`
Sets the Issuer of this assertion.
`void`
RequestAbstractTypeImpl.`setIssuer(Issuer newIssuer)`
Sets the issuer of this request.
`void`
StatusResponseTypeImpl.`setIssuer(Issuer newIssuer)`
Sets the issuer of this response.

## Uses of Issuer in org.opensaml.saml.saml2.ecp

Methods in org.opensaml.saml.saml2.ecp that return Issuer
Modifier and Type
Method
Description
`Issuer`
Request.`getIssuer()`
Get the Issuer child elemet.
Methods in org.opensaml.saml.saml2.ecp with parameters of type Issuer
Modifier and Type
Method
Description
`void`
Request.`setIssuer(Issuer newIssuer)`
Set the Issuer child elemet.

## Uses of Issuer in org.opensaml.saml.saml2.ecp.impl

Fields in org.opensaml.saml.saml2.ecp.impl declared as Issuer
Modifier and Type
Field
Description
`private Issuer`
RequestImpl.`issuer`
Issuer child element.
Methods in org.opensaml.saml.saml2.ecp.impl that return Issuer
Modifier and Type
Method
Description
`Issuer`
RequestImpl.`getIssuer()`
Get the Issuer child elemet.
Methods in org.opensaml.saml.saml2.ecp.impl with parameters of type Issuer
Modifier and Type
Method
Description
`void`
RequestImpl.`setIssuer(Issuer newIssuer)`
Set the Issuer child elemet.

## Uses of Issuer in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Issuer
Modifier and Type
Method
Description
`static Issuer`
SAML2ActionTestingSupport.`buildIssuer(String entityID)`
Builds a `Issuer`.